//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Network for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to render the barcode image in an applet
//==========================================================================================================//

import java.applet.*;
import java.awt.*;
import com.aspose.barcode.*;

public class AppletSample extends Applet 
{
    Image img;
    MediaTracker tr;

    public void paint(Graphics g)
    {
        // Initialize BarCodeBuilder class
        BarCodeBuilder builder = new BarCodeBuilder();
        // Set codetext and symbology type
        builder.setSymbologyType(Symbology.Code128);
        builder.setCodeText("12345678");
        // Save the barcode to disk
        builder.save(getCodeBase().getPath() + "barcode.png");
        System.out.println("Saved barcode image to " + getCodeBase().getPath() + "barcode.png");

        // Load and Draw the image on applet
        tr = new MediaTracker(this);
        img = getImage(getCodeBase(), "barcode.png");
        tr.addImage(img,0);
        g.drawImage(img, 0, 0, this);
    }
}
