//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Network for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to create and render the barcode image in a servlet
//==========================================================================================================//

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.aspose.barcode.*;
import java.awt.image.BufferedImage;
import java.io.OutputStream;
import javax.imageio.ImageIO;

public class ServletSample extends HttpServlet
{
	public void doGet(HttpServletRequest request, HttpServletResponse response)
		throws IOException, ServletException
	{
		BarCodeBuilder b = new BarCodeBuilder();
		b.setSymbologyType(Symbology.Code128);
		b.setCodeText("12345678");
		BufferedImage image = b.getBarCodeImage();

                response.setContentType("image/png");
                OutputStream outputStream = response.getOutputStream();
                ImageIO.write(image, "png", outputStream);
                outputStream.close();
	}
}